using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查项目分类表_检查区域
    /// </summary>
    [Description("检查项目分类_检查区域")]
    public class T_BS_CHECK_PROJECT_CATEGORY_OBJECT : MesEntityBase
    {

        /// <summary>
        /// 检查范围
        /// </summary>
        [Description("检查范围")]
        [FormFieldTable]
        [FormFieldEdit]
        public BSMineTypeEnum CHECKOBJECT { get; set; }

        /// <summary>
        /// 隐患上报
        /// </summary>
        [Description("隐患上报")]
        [DataFieldForeignKey("Nav_ProjectCategory", "Nav_ListOBJECT")]
        public Guid? PROJECT_CATEGORY_ID { get; set; }

        /// <summary>
        /// 导航：项目分类
        ///// </summary>
        [Description("导航：项目分类")]
        public virtual T_BS_CHECK_PROJECT_CATEGORY Nav_ProjectCategory { get; set; }

    }
}
